> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Saml Settings



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /settings/saml
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /settings/saml:
    get:
      tags:
        - settings
      summary: Get Saml Settings
      operationId: settings-get_saml_settings
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SAMLSettingsRead'
      security:
        - APIKeyCookie: []
components:
  schemas:
    SAMLSettingsRead:
      properties:
        saml_enabled:
          type: boolean
          title: Saml Enabled
        saml_enforced:
          type: boolean
          title: Saml Enforced
        saml_idp_metadata_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Saml Idp Metadata Url
        saml_sp_acs_url:
          type: string
          title: Saml Sp Acs Url
        decryption_failed_keys:
          items:
            type: string
          type: array
          title: Decryption Failed Keys
          description: >-
            Encrypted setting keys that could not be decrypted with the current
            encryption key and must be reconfigured.
      type: object
      required:
        - saml_enabled
        - saml_enforced
        - saml_sp_acs_url
      title: SAMLSettingsRead
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````